Commit 3aa9f933 authored by Matteo Melli's avatar Matteo Melli

Allow to build project using Java 8 or less

Updated build-resoruces dependency so it can be downloaded from maven
repo
parent f8dd3ed8
......@@ -5,7 +5,7 @@
<groupId>com.ongres</groupId>
<artifactId>build-parent</artifactId>
<version>1.0.5</version>
<version>1.0.6</version>
<packaging>pom</packaging>
<name>ongres: build parent pom</name>
......@@ -64,16 +64,18 @@
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
<java.version>11</java.version>
<java.version>1.8</java.version>
<maven.enforce.version>3.6</maven.enforce.version>
<java.enforce.version>${java.version}</java.enforce.version>
<maven.compiler.release>${java.version}</maven.compiler.release>
<maven.compiler.source>${java.version}</maven.compiler.source>
<maven.compiler.target>${java.version}</maven.compiler.target>
<!-- Dependencies versions -->
<checkstyle.version>8.20</checkstyle.version>
<spotbugs.version>3.1.12</spotbugs.version>
<log4j2.version>2.11.2</log4j2.version>
<junit5.version>5.4.2</junit5.version>
<build-resources.version>1.0.5</build-resources.version>
<!-- Plugin versions -->
<compiler-plugin.version>3.8.1</compiler-plugin.version>
......@@ -125,6 +127,11 @@
<version>${spotbugs.version}</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>com.ongres</groupId>
<artifactId>build-resources</artifactId>
<version>${build-resources.version}</version>
</dependency>
</dependencies>
</dependencyManagement>
......@@ -201,7 +208,7 @@
<artifactItem>
<groupId>com.ongres</groupId>
<artifactId>build-resources</artifactId>
<version>1.0.4</version>
<version>${build-resources.version}</version>
</artifactItem>
</artifactItems>
<outputDirectory>${project.build.directory}/build-resources</outputDirectory>
......@@ -273,7 +280,6 @@
<dependency>
<groupId>com.ongres</groupId>
<artifactId>build-resources</artifactId>
<version>1.0.4</version>
</dependency>
</dependencies>
</plugin>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment